﻿<%@ Page Title="Home Page" Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs"
    Inherits="_Default" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<html>
<head>
    <title>Test</title>
    <script type="text/javascript">
    </script>
</head>
<body>
    <form id="Form1" runat="server">
        <telerik:RadScriptManager runat="server"></telerik:RadScriptManager>
        <telerik:RadGrid ID="RadGrid1" PageSize="2" AllowPaging="true"
            runat="server" Skin="Default" Culture="fr-FR"
            DataSourceID="DataSource1">
            <MasterTableView runat="server" AutoGenerateColumns="False" CommandItemDisplay="None" EnableHeaderContextMenu="true">
                <CommandItemSettings ShowExportToCsvButton="true" />
                <ColumnGroups>
                    <telerik:GridColumnGroup Name="Mandat" HeaderText="Mandat" HeaderStyle-CssClass="GroupingHeaderTitle" />
                    <telerik:GridColumnGroup Name="Candidat" HeaderText="Candidat" HeaderStyle-CssClass="GroupingHeaderTitle" />
                    <telerik:GridColumnGroup Name="Action" HeaderText="Action" HeaderStyle-CssClass="GroupingHeaderTitle" />
                </ColumnGroups>
                <Columns>
                    <telerik:GridTemplateColumn Groupable="false" HeaderText="N°" ColumnGroupName="Mandat">
                        <ItemTemplate>
                            <asp:Label ID="LblNumeroMandant" Text='<%# Eval("CustomerID") %>' runat="server" /></ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn Groupable="false" HeaderText="Nom" ColumnGroupName="Mandat">
                        <ItemTemplate>
                            <asp:Label ID="LblNomMandant" Text='<%#Eval("CompanyName") %>' runat="server" /></ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn Groupable="false" HeaderText="Appt" ColumnGroupName="Mandat">
                        <ItemTemplate>
                            <asp:Label ID="LblAppt" Text='<%# Eval("ContactName") %>' runat="server" /></ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn Groupable="false" HeaderText="Nature" ColumnGroupName="Mandat">
                        <ItemTemplate>
                            <asp:Label ID="LblNature" Text='<%#Eval("ContactTitle") %>' runat="server" /></ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn Groupable="false" HeaderText="Vacant" ColumnGroupName="Mandat">
                        <ItemTemplate>
                            <asp:Label ID="LblVacant" Text='<%#Eval("Address") %>' runat="server" /></ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn Groupable="false" HeaderText="N°" ColumnGroupName="Candidat">
                        <ItemTemplate>
                            <asp:Label ID="Lbl" Text='<%# Eval("City") %>' runat="server" /></ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn Groupable="false" HeaderText="Nom 2" ColumnGroupName="Candidat">
                        <ItemTemplate>
                            <asp:Label ID="LblNomCandidat" Text='<%# Eval("Region") %>' runat="server" /></ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn Groupable="false" HeaderText="Annulation" ColumnGroupName="Candidat">
                        <ItemTemplate>
                            <asp:Label ID="LblAnnulation" Text="" runat="server" /></ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn Groupable="false" HeaderText="Action" HeaderStyle-HorizontalAlign="Center" ColumnGroupName="Action">
                        <ItemTemplate>
                            <center>
                                <asp:ImageButton ID="IBConsultation" SkinID="Consultation" runat="server" />
                                <asp:ImageButton ID="IBModification" SkinID="Modification" runat="server" />
                                <asp:ImageButton ID="IBSuppression" SkinID="Suppression" runat="server" />
                                <asp:ImageButton ID="IBValidation" SkinID="Validation" runat="server" />
                            </center>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
                <PagerStyle AlwaysVisible="true" Mode="NextPrevNumericAndAdvanced" PageSizes="10,30,60" />
            </MasterTableView>
            <ClientSettings AllowColumnsReorder="True" EnablePostBackOnRowClick="true" EnableRowHoverStyle="true">
                <Scrolling UseStaticHeaders="true" AllowScroll="true" />
                <Resizing AllowColumnResize="true" ClipCellContentOnResize="false" EnableRealTimeResize="true" />
                <Selecting AllowRowSelect="true" />
            </ClientSettings>
        </telerik:RadGrid>
        <asp:SqlDataSource ID="DataSource1" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
        ProviderName="System.Data.SqlClient" SelectCommand="SELECT * FROM Customers"
        runat="server"></asp:SqlDataSource>
    </form>
</body>
</html>
